| GET | /RestApi/diagnostics/sites/{forContentType} |
|---|
"use strict";
/** @typedef {'Pages'|'Libraries'} */
export var ContentType;
(function (ContentType) {
ContentType["Pages"] = "Pages"
ContentType["Libraries"] = "Libraries"
})(ContentType || (ContentType = {}));
export class GetSites {
/** @param {{ForContentType?:ContentType}} [init] */
constructor(init) { Object.assign(this, init) }
/** @type {ContentType} */
ForContentType;
}
To override the Content-type in your clients, use the HTTP Accept Header, append the .json suffix or ?format=json
To embed the response in a jsonp callback, append ?callback=myCallback
The following are sample HTTP requests and responses. The placeholders shown need to be replaced with actual values.
GET /RestApi/diagnostics/sites/{forContentType} HTTP/1.1
Host: www.asg.com.au
Accept: application/json
HTTP/1.1 200 OK
Content-Type: application/json
Content-Length: length
[{"Title":"String"}]